searchNodes=[{"ref":"Barlix.html","title":"Barlix","type":"module","doc":"Barlix aims to provide a flexible set of modules to generate and render barcodes. Currently it only supports a few symbologies. I hope to add more encoders and renderers in the future. Example Barlix.Code39.encode!(&quot;BARLIX&quot;) |&gt; Barlix.PNG.print(file: &quot;/tmp/barcode.png&quot;) Encoders Barlix.Code39 Barlix.Code93 Barlix.Code128 Barlix.ITF Renderers Barlix.UTF Barlix.PNG"},{"ref":"Barlix.html#t:code/0","title":"Barlix.code/0","type":"type","doc":""},{"ref":"Barlix.Code128.html","title":"Barlix.Code128","type":"module","doc":"This module implements the Code 128 symbology."},{"ref":"Barlix.Code128.html#encode/1","title":"Barlix.Code128.encode/1","type":"function","doc":"Encodes the given value using code 128 symbology."},{"ref":"Barlix.Code128.html#encode!/1","title":"Barlix.Code128.encode!/1","type":"function","doc":"Accepts the same arguments as encode/1. Returns Barlix.code/0 or raises Barlix.Error in case of invalid value."},{"ref":"Barlix.Code39.html","title":"Barlix.Code39","type":"module","doc":"This module implements the Code 39 symbology."},{"ref":"Barlix.Code39.html#encode/2","title":"Barlix.Code39.encode/2","type":"function","doc":"Encodes the given value using code 39 symbology. Only a subset of ascii characters are supported. Options :checksum (boolean) - enables checksum. Defaults to false"},{"ref":"Barlix.Code39.html#encode!/2","title":"Barlix.Code39.encode!/2","type":"function","doc":"Accepts the same arguments as encode/2. Returns Barlix.code/0 or raises Barlix.Error in case of invalid value."},{"ref":"Barlix.Code93.html","title":"Barlix.Code93","type":"module","doc":"This module implements the Code 93 symbology."},{"ref":"Barlix.Code93.html#encode/1","title":"Barlix.Code93.encode/1","type":"function","doc":"Encodes the given value using code 93 symbology."},{"ref":"Barlix.Code93.html#encode!/1","title":"Barlix.Code93.encode!/1","type":"function","doc":"Accepts the same arguments as encode/1. Returns Barlix.code/0 or raises Barlix.Error in case of invalid value."},{"ref":"Barlix.Error.html","title":"Barlix.Error","type":"exception","doc":""},{"ref":"Barlix.ITF.html","title":"Barlix.ITF","type":"module","doc":"This module implements the Interleaved 2 of 5 (ITF) symbology."},{"ref":"Barlix.ITF.html#encode/2","title":"Barlix.ITF.encode/2","type":"function","doc":"Encodes the given value using ITF symbology. Only numeric characters are supported. Options :pad (boolean) - adds a prefix character 0 if the length of characters is not even. Defaults to false :checksum (boolean) - enables checksum. Defaults to false"},{"ref":"Barlix.ITF.html#encode!/2","title":"Barlix.ITF.encode!/2","type":"function","doc":"Accepts the same arguments as encode/2. Returns Barlix.code/0 or raises Barlix.Error in case of invalid value."},{"ref":"Barlix.PNG.html","title":"Barlix.PNG","type":"module","doc":"This module implements the PNG renderer."},{"ref":"Barlix.PNG.html#print/2","title":"Barlix.PNG.print/2","type":"function","doc":"Renders the given code in png image format. Options :file - (path) - target file path. :xdim - (integer) - width of a single bar in pixels. Defaults to 1. :height - (integer) - height of the bar in pixels. Defaults to 100. :margin - (integer) - margin size in pixels. Defaults to 10."},{"ref":"Barlix.UTF.html","title":"Barlix.UTF","type":"module","doc":"UTF block characters are used to represent bars. This would be useful during development as the output can be easily printed on standard output. Example Barlix.Code39.encode!(&quot;BARLIX&quot;) |&gt; Barlix.UTF.print |&gt; IO.puts ▌▐▐▌█▐▐▐▌▌▐▐▌█▐▐ ▌█▐▌▌▌█ ▌▌█▐▐ █▐▐▌▌▐▌▌▌▐▐▌▌█▐ ▌█▐▌▌"},{"ref":"Barlix.UTF.html#print/1","title":"Barlix.UTF.print/1","type":"function","doc":""},{"ref":"readme.html","title":"Barlix","type":"extras","doc":"Barlix Barcode generator for Elixir"},{"ref":"readme.html#installation","title":"Barlix - Installation","type":"extras","doc":"def deps do [{:barlix, &quot;~&gt; 0.1.0&quot;}] end def application do [applications: [:barlix]] end"},{"ref":"readme.html#example","title":"Barlix - Example","type":"extras","doc":"Barlix.Code39.encode!(&quot;BARLIX&quot;) |&gt; Barlix.PNG.print(file: &quot;/tmp/barcode.png&quot;) see documentation for more information."}]